Unit tde85r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE85R_p, DE85R_p;

function tde85r: String;

implementation

function tde85r: String;
var
M,N,IERR :Integer;
XN,HMIN,EPS,P,H,XK :Real;
YN :Array [0..1] of Real;
Y :Array [0..1] of Real;
R :Array [0..34] of Real;
begin
Result := '';  {   }
M := 2;
XN := 1.0;
YN[0] := 49.0;
YN[1] := 50.0;
HMIN := 1.E-10;
EPS := 1.E-8;
P := 100.0;
H := 0.01;
XK := 6.0;
N := 2;
DE85R (FDE85R,M,XN,YN,XK,HMIN,EPS,P,N,H,Y,R,IERR);
Result := Result + Format('  %20.16f   %20.16f   %20.16f   %1d ',
 [Y[0],Y[1],H,IERR]) + #$0D#$0A;
UtRes('tde85r',Result);  {     tde85r.res }
exit;
end;

end.
